public class point
{
  double x,y;
  public point(double xi,double yi)
  {x=xi;y=yi;}
  public point(point pi)
  {x=pi.x;y=pi.y;}
  public String toString()
  {String s="x = "+x+" y = "+y;
  return s;
  }
}